Subject: Re: [PULL] Networking for v6.3

From: Kalle Valo <[email-masked]>
Date: Thu, 23 Feb 2023 21:06:00 +0200

Linus Torvalds <[email-masked]> writes:

> On Tue, Feb 21, 2023 at 3:38 PM Jakub Kicinski <[email-masked]> wrote:
> --
>> Networking changes for 6.3.
>
> Hmm. I just noticed another issue on my laptop: I get an absolute *flood* of
>
>   warning: 'ThreadPoolForeg' uses wireless extensions that are
> deprecated for modern drivers: use nl80211
>
> introduced in commit dc09766c755c ("wifi: wireless: warn on most
> wireless extension usage").
>
> This is on my xps13 with Atheros QCA6174 wireless ("Killer 1435
> Wireless-AC", PCI ID 168c:003e, subsystem 1a56:143a).
>
> And yes, it uses 'pr_warn_ratelimited()', but the ratelimiting is a
> joke. That means that I "only" get five warnings a second, and then it
> pauses for a minute or two until it does it again.
>
> So that warning needs to go away - it flushed the whole kernel printk
> buffer in no time.

Ouch, sorry about that. The ratelimiting is really a joke here. We'll
send a patch tomorrow.

So that we can file a bug report about use of Wireless Extensions, what
process is ThreadPoolForeg? I did a quick search and it seems to be
Chromium related, but is it really from Chromium? The warning was
applied over a month ago, I'm surprised nobody else has reported
anything. I would expect that there are more Chromium users :)

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches